Package org.apache.torque.templates

# Enum Class TorqueSchemaJavaType

java.lang.Object
java.lang.Enum<TorqueSchemaJavaType>
org.apache.torque.templates.TorqueSchemaJavaType

All Implemented Interfaces:
  `Serializable`, `Comparable<TorqueSchemaJavaType>`, `Constable`

public enum TorqueSchemaJavaType extends Enum<TorqueSchemaJavaType>
The possible values the javaType attribute of the column element. $Id: TorqueSchemaJavaType.java 1917240 2024-04-21 13:22:54Z tv $

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `OBJECT`
  The java attribute will be an object (e.g.
  `PRIMITIVE`
  The java attribute will be a primitive (e.g. int), if possible.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  Returns the value of the javaType attribute.
  `String`
  `toString()`
  `static TorqueSchemaJavaType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TorqueSchemaJavaType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OBJECT

    public static final TorqueSchemaJavaType OBJECT
    The java attribute will be an object (e.g. Integer).

  - ### PRIMITIVE

    public static final TorqueSchemaJavaType PRIMITIVE
    The java attribute will be a primitive (e.g. int), if possible.

- ## Method Details

  - ### values

    public static TorqueSchemaJavaType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TorqueSchemaJavaType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Returns the value of the javaType attribute.
    Returns:
      the value of the javaType attribute, not null.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<TorqueSchemaJavaType>`